--- title: "Get short clip list" slug: "media-livestation-shortclip-shortcliplist" tags: ["Live Station"] updated: 2026-09-17T10:12:40Z published: 2026-09-17T10:12:40Z canonical: "api.ncloud-docs.com/media-livestation-shortclip-shortcliplist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get short clip list Available in Classic and VPC Get the short clip list. You can only retrieve a list of short clips for snapshots within one hour of creation. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v2/channels/{channelId}/{snapshotId}/shortclips | ### Request headers For information about the headers common to all Live Station APIs, see [Live Station request headers](/docs/en/media-livestation#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `channelId` | String | Required | Channel ID - See [Get channel list](/docs/en/media-livestation-channel-channellist). | | `snapshotId` | String | Required | Snapshot ID - See [Create snapshot](/docs/en/media-livestation-snapshot-snapshotcreate), [Get channel list](/docs/en/media-livestation-channel-channellist), and [Get channel](/docs/en/media-livestation-channel-channelinfo). | ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `shortclipStatus` | String | Optional | Filter by short clip status. - `CREATING` \| `COMPLETED` \| `PROCESSING_FAIL` \| `UPLOAD_FAIL` - `CREATING`: Creating - `COMPLETED`: Completed - `PROCESSING_FAIL`: Creation failed - `UPLOAD_FAIL`: Upload failed | ### Request example The request example is as follows: ``` curl --location --request GET 'https://livestation.apigw.ntruss.com/api/v2/channels/ls-20250814******-zTwK2/7559/shortclips' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'x-ncp-region_code: KR' \ --header 'Content-Type: application/json' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `content` | Object | - | Response result | | `content.channelId` | String | - | Channel ID | | `content.snapshotId` | Integer | - | Snapshot ID | | `content.shortClipList` | Array | - | Short clip list: [shortClipList](/docs/en/media-livestation-shortclip-shortcliplist#shortClipList) | | `total` | Integer | - | Total response count | #### `shortClipList` The following describes `shortClipList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `id` | Integer | - | Short clip ID | | `status` | String | - | Short clip status - `CREATING` \| `COMPLETED` \| `PROCESSING_FAIL` \| `UPLOAD_FAIL` - `CREATING`: Creating - `COMPLETED`: Completed - `PROCESSING_FAIL`: Creation failed - `UPLOAD_FAIL`: Upload failed | | `createdTime` | Integer | - | Short clip creation date and time (millisecond) - Unix timestamp format | | `updatedTime` | Integer | - | Short clip update date and time (millisecond) - Unix timestamp format | | `fileSize` | Integer | - | Short clip file size (byte) | | `duration` | Integer | - | Short clip playback time (millisecond) | | `output` | Object | - | Storage information | | `output.accessControl` | String | - | Short clip file storage bucket disclosure scope - `PRIVATE` \| `PUBLIC_READ` - `PRIVATE`: Private - `PUBLIC_READ`: Public | | `output.bucketName` | String | - | Short clip file storage bucket name | | `output.filePath` | String | - | Detailed storage path | | `output.fileName` | String | - | Short clip file name | ### Response status codes For information about the HTTP status codes common to all Live Station APIs, see [Live Station response status codes](/docs/en/media-livestation#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "content": { "channelId": "ls-20250814******-zTwK2", "snapshotId": 7559, "shortClipList": [ { "id": 1411, "status": "COMPLETED", "createdTime": 1755571698831, "updatedTime": 1755571699315, "fileSize": 1102425, "duration": 19916, "output": { "accessControl": "PRIVATE", "bucketName": "mybucket", "filePath": "/shortclip", "fileName": "1411-1755571698831.mp4" } }, { "id": 1410, "status": "COMPLETED", "createdTime": 1755571641845, "updatedTime": 1755571642503, "fileSize": 561643, "duration": 10006, "output": { "accessControl": "PRIVATE", "bucketName": "mybucket", "filePath": "/shortclip", "fileName": "1410-1755571641845.mp4" } } ] }, "total": 2 } ```